include ../Makefile.common

CFLAGS += -I. -I../zlib -DPHYSFS_SUPPORTS_ZIP
ifeq ($(OS),LINUX)
	OBJ = platform/posix.o platform/unix.o
else
	OBJ = platform/windows.o
endif

OBJ += $(patsubst %.c,%.o,$(wildcard *.c)) archivers/dir.o archivers/zip.o

LIBNAME = libphysfs.a

all: $(LIBNAME)

$(LIBNAME): $(OBJ)
	@echo Creating archieve $@
	@ar -crsu $@ $(OBJ)
	@echo
		
clean:
	-@$(RM) *.o
	-@$(RM) *.d
	-@$(RM) archivers$(SLASH)*.o
	-@$(RM) archivers$(SLASH)*.d
	-@$(RM) platform$(SLASH)*.o
	-@$(RM) platform$(SLASH)*.d
	-@$(RM) $(LIBNAME)

